Subject: Re: [codec] WG Review: Internet Wideband Audio Codec (codec)

From: Jean-Marc Valin <[email-masked]>
Date: Thu, 7 Jan 2010 12:20:04 -0500

Quoting Stephen Casner <[email-masked]>:
> In the past, particularly when I was co-chair of AVT, there was
> significant pressure from IETF leadership against IETF (and AVT in
> particular) standarizing codecs out of concern that to do so would
> step on ITU toes.  We made a carefully considered exception for iLBC
> because it had goals similar to those now being proposed.  If the
> concern has now dissipated, that's fine with me.

Please note that there have been several liaisons between the ITU and the IETF
about that and, should a working group be formed, a collaboration between
between the two SDOs would be considered. One option that was discussed during
the last BoF (http://www.ietf.org/proceedings/09nov/minutes/codec.txt) was to
form a joint team similar to the JVT, where an MPEG WG worked with ITU SG16 on
H.264. In any case, the idea is not to replicate what the ITU is currently
doing.

    Jean-Marc

---

From: Michael Knappe <[email-masked]>
Date: Fri, 8 Jan 2010 18:55:08 -0800

Yes, it very nicely captures the spirit of the BoF's charter discussion to date.

Mike

----- Original Message -----
From: [email-masked] <[email-masked]>
To: Russ Housley <[email-masked]>
Cc: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Sent: Fri Jan 08 21:43:49 2010
Subject: Re: [codec] WG Review: Internet Wideband Audio Codec (codec)

I like that.

On 2010-01-08 18:14, Russ Housley wrote:
> Good improvement.  I'd go a slide bit further:
>
> Although this preference cannot guarantee that the working
> group will produce an unencumbered codec, the working group shall
> follow BCP 79, and adhere to the spirit of BCP 79. The working
> group cannot explicitly rule out the possibility of adapting
> encumbered technologies; however, the working group will try to
> avoid encumbered technologies that would hinder free
> redistribution in any way.
>
> Russ
>
> On 1/7/2010 3:13 PM, Jean-Marc Valin wrote:
>> Hi,
>>
>> I'm not sure royalties are the *least* of out problems, but I certainly
>> agree with Stephan that annoyances go further than just royalties. I
>> understand that BCP79 restricts what we can say about that in the
>> charter,
>> but at least mentioning the problem as Stephan suggests is a good idea
>> IMO.
>> In some sense, this is again part of the "making it easy to
>> redistribute".
>>
>> Jean-Marc
>>
>> Stephan Wenger wrote:
>>> Hi,
>>>
>>> Russ' language is an improvement. But let's not forget that there are
>>> encumbrances that have nothing to do with paying royalties, but are
>>> equally
>>> problematic from an adoption viewpoint. Examples:
>>>
>>> 1. Co-marketing requirement: need to put a logo of the rightholder
>>> company
>>> on one's products acknowledging using the protected technology.
>>> 2. Unreasonable (from the viewpoint of the adopter) reciprocity
>>> requirements: one of many examples would be "if you use this
>>> technology, you
>>> agree not to assert, against me or my customers, any of your patents.
>>> Otherwise your license terminates.".
>>> 3. Requirement for a "postcard license". Such a requirement may rule out
>>> open source implementations under certain open source licenses.
>>>
>>> I believe strongly that a charter that discusses IPR issues should
>>> mention
>>> at least those three aspects, and/or provide sufficiently vague
>>> language to
>>> allow for an appropriate reaction to those and other encumbrances
>>> that may
>>> show up.
>>>
>>> Royalties are the least of our problems.
>>>
>>> Regards,
>>> Stephan
>>>
>>> Disclaimer: I have clients that would have problems with all three
>>> encumbrances mentioned above.
>>>
>>>
>>>
>>>
>>>
>>> On 1/7/10 11:08 AM, "Peter Saint-Andre"<[email-masked]> wrote:
>>>
>>>> On 1/7/10 9:46 AM, Russ Housley wrote:
>>>>> Andy:
>>>>>
>>>>>>> Although this preference cannot guarantee that the working
>>>>>>> group will produce an unencumbered codec, the working group shall
>>>>>>> attempt to adhere to the spirit of BCP 79. This preference does not
>>>>>>> explicitly rule out the possibility of adapting encumbered
>>>>>>> technologies;
>>>>>>> such decisions will be made in accordance with the rough
>>>>>>> consensus of
>>>>>>> the working group.
>>>>>> I appreciate the potential difficulty of guaranteeing the
>>>>>> unencumbered
>>>>>> status of any output of this group. However, I would like this
>>>>>> statement to
>>>>>> be stronger, saying that this group will only produce a new codec if
>>>>>> it is
>>>>>> strongly believed by WG rough consensus to either be unencumbered,
>>>>>> or freely licensed by the IPR holder(s), if any.
>>>>> I do not think that anyone wants the outcome to be yet another
>>>>> encumbered codec. I think these words are trying to say what you want,
>>>>> but they are also trying to be realistic.
>>>>>
>>>>> Does the following text strike a better balance?
>>>>>
>>>>> Although this preference cannot guarantee that the working
>>>>> group will produce an unencumbered codec, the working group shall
>>>>> follow BCP 79, and adhere to the spirit of BCP 79. The working
>>>>> group cannot explicitly rule out the possibility of adapting
>>>>> encumbered technologies; however, the working group will try to
>>>>> avoid encumbered technologies that require royalties.
>>>> That seems reasonable. Although I was only the BoF co-chair, I'll
>>>> volunteer to hold the pen on edits to the proposed charter.
>>>>
>>>> Peter
>>>
>>>
>>> _______________________________________________
>>> codec mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/codec
>>
>>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf
>
>
_______________________________________________
codec mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/codec